package com.yijia.station.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 油站通知管理对象 station_notice
 * 
 * @author yijia
 * @date 2020-12-08
 */
public class StationNotice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 通知id 自增主键id */
    private Long noticeId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String fullName;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 绑定时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "绑定时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date bindDate;

    /** 绑定状态：1.已绑定， */
    @Excel(name = "绑定状态：1.已绑定，")
    private String bindStatus;

    /** 微信昵称 */
    @Excel(name = "微信昵称")
    private String wxFullName;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    public void setNoticeId(Long noticeId) 
    {
        this.noticeId = noticeId;
    }

    public Long getNoticeId() 
    {
        return noticeId;
    }
    public void setFullName(String fullName) 
    {
        this.fullName = fullName;
    }

    public String getFullName() 
    {
        return fullName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setBindDate(Date bindDate) 
    {
        this.bindDate = bindDate;
    }

    public Date getBindDate() 
    {
        return bindDate;
    }
    public void setBindStatus(String bindStatus) 
    {
        this.bindStatus = bindStatus;
    }

    public String getBindStatus() 
    {
        return bindStatus;
    }
    public void setWxFullName(String wxFullName) 
    {
        this.wxFullName = wxFullName;
    }

    public String getWxFullName() 
    {
        return wxFullName;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("noticeId", getNoticeId())
            .append("fullName", getFullName())
            .append("phone", getPhone())
            .append("bindDate", getBindDate())
            .append("bindStatus", getBindStatus())
            .append("wxFullName", getWxFullName())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .toString();
    }
}
